SXINIT(1)

NAME
sxinit - manage local access configuration for SX clusters

SYNOPSIS
sxinit [OPTIONS]... { sx://[profile@]cluster | --list }

DESCRIPTION
sxinit sets up access to remote SX clusters and must be used when accessing a cluster for the first time. It performs the initial access to the cluster, including the certificate verification, and stores the configuration locally (by default in ~/.sx), which the other tools automatically use to connect to the cluster. It expects the cluster URI together with an optional profile name (useful when configuring multiple accesses to the same cluster).

OPTIONS

-h, --help
    Print help and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

-C, --config-link=URI
    Use a configuration link to perform an automated setup. The configuration link can be provided by a cluster administrator or obtained with sxacl-usergetkey(1).

--sxauthd=https://[username@]host/
    Use sxauthd to access the cluster. sxauthd is part of SX Enterprise Edition and provides an enterprise login functionality by integrating with existing authentication mechanisms such as LDAP or PAM.

-L, --list
    List configured clusters and aliases

-I, --info
    Display information about a configured cluster.

--delete
    Delete a profile and its associated aliases. When the last profile for a given cluster gets deleted, the entire local cluster configuration will be removed.

--no-ssl
    Disable secure communication. For security reasons, only use this option when the cluster doesn't offer SSL connections.

-p, --pass-file=PATH
    By default sxinit works in interactive mode and asks for the user password on standard input. With this option it will read the password from the provided file.

--port=NUMBER
    Set the cluster TCP port. By default, sxinit will use the port 443 (https) or 80 (http), when it's called with --no-ssl. The SX clusters can operate on custom ports and this option instructs sxinit to use a specific one.

-l, --host-list=IP_1,IP_2,IP_3,...
    When setting up access to a cluster, which doesn't use a DNS name, it's required to point sxinit to at least one node in the cluster by its IP address. This option is not needed for DNS-enabled clusters.

-A, --alias=@ALIAS
    This option sets up an alias for the provided URI/profile. The alias is a string preceded with '@', which allows you to quickly refer to the cluster, eg. @cloud can be an alias for sx://myprofile@mypersonalcloud.com

-b, --batch-mode
    Turn off interactive confirmations and assume yes for all questions. This option should only be used in scripts and with caution, because it will accept the certificates automatically.

--force-reinit
    Remove old cluster configuration and init from scratch. This option should be used when the remote cluster has been recreated and its identifier has changed (making sxinit report an error).

-k, --key
    Ask for an authentication key (used with SX 1.0 and older) instead of a password.

-a, --auth-file=PATH
    By default sxinit works in interactive mode and when --key is used it asks for the user key on standard input. With this option it will read it from the provided file.

-D, --debug
    Enable debug messages (default=off)

-c, --config-dir=PATH
    Path to the SX configuration directory (default: ~/.sx)

EXAMPLES
To configure access to a DNS-based SSL-enabled cluster using the default profile and the alias @sx run:
sxinit --alias=@sx sx://somecluster.com
After accepting the certificate and providing the key you can access the cluster by sx://somecluster.com or just @sx
To configure an access to a non-DNS cluster in a local network, which doesn't offer SSL connection and one of its nodes is 192.168.200.120 run:
sxinit --no-ssl -l 192.168.200.120 sx://cluster
sxinit will automatically fetch the list of other nodes in the cluster and make it available through sx://cluster for the tools.

SEE ALSO
sxvol(1), sxacl(1), sxcp(1), sxmv(1),sxls(1), sxcat(1), sxrm(1), sxrev(1), sxinit(1)